@charset "utf-8";

* {
	margin: 0;
	padding:0;
	-webkit-box-sizing: border-box;
 	-moz-box-sizing: border-box;
 	box-sizing: border-box;
}


table, td, th, div, fieldset {
	font-size: 0; /* isto é necessário para não haver espaços entre os elementos por usar quebra de linha no código fonte*/
}

html {
	text-rendering: optimizeLegibility;
}

img {
	border:0;
}

li {
	list-style-position:inside;
}

input[type=text],
input[type=password],
input[type=search] {
	height: 22px;
	padding: 0 4px 0 4px;
	border: 1px solid #777;
	padding: 0 4px 0 4px;
}

input[type=text]:disabled,
input[type=text][readonly],
input[type=password]:disabled,
input[type=password][readonly],
input[type=search]:disabled,
input[type=search][readonly]
textarea:disabled,
textarea[readonly] {
	background: #DDD !important;
	color: #555 !important;
}

select:disabled,
select[readonly] {
	background-color: #DDD !important;
	color: #555 !important;
}

button,
input[type=button],
input[type=submit] {
	border: 1px solid #777;
	border-radius: 4px;
	color: #555;
}

button:hover:not([disabled]),
input[type=button]:hover:not([disabled]),
input[type=submit]:hover:not([disabled]) {
	background-color: #CCC;
	border: 1px solid #555;
	color: #000;
}

button:disabled,
button[readonly],
input[type=button]:disabled,
input[type=submit]:disabled,
input[type=button][readonly],
input[type=submit][readonly] {
	background: #DDD !important;
	color: #999 !important;
	border-color: #999 !important;
}

select,
option,
span {
	height: 22px;
}

label[readonly]{
	color: #777;
}

textarea {
	resize: none;
	border: 1px solid #909090 ;
	-webkit-appearance: none;
  border-radius: 0;
}

select {
	min-height: 22px;
	height: 22px;
	line-height: 22px;
	padding-left: 3px;
	padding-right: 16px;
	appearance: none;
	-moz-appearance: none;
	background-image: url(select_arrow.png) !important;
	background-repeat: no-repeat;
	background-position-x: right;
	background-position-y: -20px;
	border: solid 1px #909090 ;
	background-color: #FFF;
	margin-right: 5px;
	text-overflow: ellipsis;
}

select:hover:not([readonly],[disabled]) {	/* com virgula OR sem virgula AND*/
	background:url(select_arrow.png);
	background-repeat:no-repeat;
	background-position-x:right;
	background-position-y:bottom;
	background-color:#FFF;
}

select:disabled {
	background:url(select_arrow.png);
	background-repeat:no-repeat;
	background-position-x:right;
	background-position-y:top;
}

select[readonly] option,
select[readonly] optgroup {
	display: none !important;
}

input:focus,
select:focus,
textarea:focus {
	outline-style: outset;
	outline-width: thin;
	outline-color: #3CF;
}

@-moz-document url-prefix() {	/*Usado apenas pelo Firefox*/
	input:focus,
	select:focus,
	textarea:focus {
	  outline: 2px solid #3CF;
	}
}

.inputAdd,
.inputRefresh,
.inputEnter,
.inputSearch {
	margin: 14px 5px 4px 0 !important;
	padding: 0  !important;
	vertical-align: top !important;;
	min-width: 22px !important;
	width: 22px !important;
	min-height: 22px !important;
	height: 22px !important;
	content:none;
	float: left;
}

.inputAdd:disabled,
.inputRefresh:disabled,
.inputEnter:disabled,
.inputSearch:disabled {
	border-radius: 0 !important;
}

.inputAdd {
	background:url(add.png);
}

.inputSearch {
	background:url(search.png);
}

.inputAdd,
.inputSearch {
	background-repeat:no-repeat;
	background-position-x:right;
	background-position-y:-20px;
	border: solid 1px #909090;
	background-color:#FFF;
}

.inputAdd:hover:not([disabled]),
.inputSearch:hover:not([disabled]) {
	background-repeat:no-repeat;
	background-position-x:right;
	background-position-y:bottom;
	background-color:#FFF;
}

.inputAdd:disabled,
.inputSearch:disabled {
	background-repeat:no-repeat;
	background-position-x:right;
	background-position-y:top;
	background-color:#FFF;
}

.inputRefresh {
	background:url(refresh.png);
	background-repeat:no-repeat;
	background-position-x:right;
	background-position-y:-20px;
	border: solid 1px #909090;
	background-color:#FFF;
}

.inputRefresh:hover:not([disabled]) {
	background:url(refresh.png);
	background-repeat:no-repeat;
	background-position-x:right;
	background-position-y:bottom;
	background-color:#FFF;
}

.inputRefresh:disabled {
	background:url(refresh.png);
	background-repeat:no-repeat;
	background-position-x:right;
	background-position-y:top;
	background-color:#FFF;
}

.inputEnter {
	background:url(enter.png);
	background-repeat:no-repeat;
	background-position-x:right;
	background-position-y:-20px;
	border: solid 1px #909090;
	background-color:#FFF;
}

.inputEnter:hover:not([disabled]) {
	background:url(enter.png);
	background-repeat:no-repeat;
	background-position-x:right;
	background-position-y:bottom;
	background-color:#FFF;
}

.inputEnter:disabled,
.inputEnter[readOnly] {
	background:url(enter.png);
	background-repeat:no-repeat;
	background-position-x:right;
	background-position-y:top;
	background-color:#FFF;
	border-radius: 0 !important;
}

.inputDown {
	display: inline;
	margin: 3px 0 5px 0 !important;
	padding: 0  !important;
	vertical-align: middle !important;;
	min-width: 48px !important;
	width: 48px !important;
	min-height: 22px !important;
	height: 22px !important;
	background-color: #FFF !important;
	background:url(down.png);
	background-repeat:no-repeat;
	background-position-x:right;
	background-position-y:-20px;
	border: solid 1px #909090 !important;
	content:none;
}

.inputDown:hover:not([disabled]) {
	background:url(down.png);
	background-repeat:no-repeat;
	background-position-x:right;
	background-position-y:bottom;
	background-color:#FFF;
}

.inputDown:disabled {
	background:url(down.png);
	background-repeat:no-repeat;
	background-position-x:right;
	background-position-y:top;
	background-color:#FFF;
}

.inputUp {
	display: inline;
	margin: 3px 2px 5px 0 !important;
	padding: 0  !important;
	vertical-align: middle !important;;
	min-width: 48px !important;
	width: 48px !important;
	min-height: 22px !important;
	height: 22px !important;
	background-color: #FFF !important;
	background:url(up.png);
	background-repeat:no-repeat;
	background-position-x: center;
	background-position-y: -20px;
	border: solid 1px #909090 !important;
	content:none;
}

.inputUp:hover:not([disabled]) {
	background:url(up.png);
	background-repeat:no-repeat;
	background-position-x:right;
	background-position-y:bottom;
	background-color:#FFF;
}

.inputUp:disabled {
	background:url(up.png);
	background-repeat:no-repeat;
	background-position-x:right;
	background-position-y:top;
	background-color:#FFF;
}

.readOnly {
	user-select: none;
	background-color: #DDD !important;
}
/* Remover a seta suspensa do Datalist no Chrome */
[list]::-webkit-calendar-picker-indicator {
    display: none !important;
}

datalist {
	display: none;
}
